Bug 872197

Summary: Network Configuration page shows "None None" under network ports
Product: [Fedora] Fedora Reporter: Mark Hamzy <hamzy>
Component: powerpc-utilsAssignee: udev-maint
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 19CC: bbaude, dcbw, dwmw2, fkocina, g.kaviyarasu, harald, hegdevasant, jcajka, jcapik, johannbg, jonathan, jsynacek, karsten, lnykryn, msekleta, pknirsch, rvykydal, s, systemd-maint, tony, udev-maint, vanmeeuwen+fedora, vpavlin, zbyszek
Target Milestone: ---Flags: karsten: needinfo? (bbaude)
Target Release: ---   
Hardware: ppc64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 859540 Environment:
Last Closed: 2015-02-17 09:32:30 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 859540    
Bug Blocks:    

Description Mark Hamzy 2012-11-01 10:25:49 EDT
+++ This bug was initially created as a clone of Bug #859540 +++

Created attachment 615582 [details]
Network Configuration screenshot

Description of problem:
The text under the network ports in the list box shows "None None".

See attached screenshot.

Version-Release number of selected component (if applicable):
anaconda 18.6.7

How reproducible:
Always

Steps to Reproduce:
1. Boot powerpc 64
2. Bring up Network Configuration page

--- Additional comment from rvykydal@redhat.com on 2012-09-24 10:11:09 EDT ---

Seems like NM's get_vendor and get_product methods are returning None in this specific HW case?

Are you able to attach some logs (messages seen on tty1, /tmp/syslog, /tmp/anaconda.log)?

We should at least present something more meaningful than "None" in such cases.

--- Additional comment from hamzy@us.ibm.com on 2012-10-03 18:30:30 EDT ---

I reran with http://ppc.koji.fedoraproject.org/stage/f18-20121003-Beta-TC1.0/ppc64/iso/Fedora-18-Beta-ppc64-DVD.iso and the problem still occurs.

Remember, this is a ppc machine, so tty1 does not exist.

--- Additional comment from hamzy@us.ibm.com on 2012-10-03 18:31:11 EDT ---

Created attachment 621189 [details]
syslog

--- Additional comment from hamzy@us.ibm.com on 2012-10-03 18:31:42 EDT ---

Created attachment 621190 [details]
anaconda.log

--- Additional comment from hamzy@us.ibm.com on 2012-10-03 18:37:27 EDT ---

[anaconda root@sharpie /]# cat << __EOF__ | python -
#!/usr/bin/python
from gi.repository import NMClient

if __name__ == "__main__":
        client = NMClient.Client.new()

        for con in client.get_active_connections():
                print con
                device = con.get_devices()[0]
                print device
                print device.get_vendor()
                print device.get_product()
__EOF__
<ActiveConnection object at 0x1002fad5960 (NMActiveConnection at 0x1002fb9f140)>
<DeviceEthernet object at 0x1002fad5a00 (NMDeviceEthernet at 0x1002fba6150)>
None
None
<ActiveConnection object at 0x1002fad59b0 (NMActiveConnection at 0x1002fb9f070)>
<DeviceEthernet object at 0x1002fad5a50 (NMDeviceEthernet at 0x1002fba6000)>
None
None

--- Additional comment from rvykydal@redhat.com on 2012-10-12 08:21:10 EDT ---

I pushed a patch that replaces None None with empty string, so from anaconda side this BZ should be fixed. If you want to pass it to NM or kernel for fix getting the actual info feel free to do so by changing the component.

--- Additional comment from dcbw@redhat.com on 2012-10-16 11:54:50 EDT ---

Can I get 'udevadm info --attribute-walk --path=/sys/class/net/eth0' on either a running system or the install image?

--- Additional comment from dcbw@redhat.com on 2012-10-16 11:58:24 EDT ---

Also 'udevadm info --query=property  --path=/sys/class/net/eth0'

--- Additional comment from hamzy@us.ibm.com on 2012-10-16 12:06:53 EDT ---

[root@nibbler ~]# udevadm info --attribute-walk --path=/sys/class/net/eth0

Udevadm info starts with the device specified by the devpath and then
walks up the chain of parent devices. It prints for every device
found, all possible attributes in the udev rules key format.
A rule to match, can be composed by the attributes of the device
and the attributes from one single parent device.

  looking at device '/devices/vio/30000003/net/eth0':
    KERNEL=="eth0"
    SUBSYSTEM=="net"
    DRIVER==""
    ATTR{mtu}=="1500"
    ATTR{type}=="1"
    ATTR{netdev_group}=="0"
    ATTR{flags}=="0x1003"
    ATTR{speed}=="1000"
    ATTR{dormant}=="0"
    ATTR{addr_assign_type}=="0"
    ATTR{dev_id}=="0x0"
    ATTR{duplex}=="full"
    ATTR{iflink}=="2"
    ATTR{addr_len}=="6"
    ATTR{address}=="2a:0f:41:b7:3f:03"
    ATTR{operstate}=="unknown"
    ATTR{broadcast}=="ff:ff:ff:ff:ff:ff"
    ATTR{tx_queue_len}=="1000"
    ATTR{ifalias}==""
    ATTR{ifindex}=="2"
    ATTR{link_mode}=="0"
    ATTR{carrier}=="1"

  looking at parent device '/devices/vio/30000003':
    KERNELS=="30000003"
    SUBSYSTEMS=="vio"
    DRIVERS=="ibmveth"
    ATTRS{name}=="l-lan"

  looking at parent device '/devices/vio':
    KERNELS=="vio"
    SUBSYSTEMS=="vio"
    DRIVERS==""
    ATTRS{name}=="vio"
    ATTRS{devspec}=="<no-node>"
[root@nibbler ~]# udevadm info --query=property  --path=/sys/class/net/eth0
DEVPATH=/devices/vio/30000003/net/eth0
ID_MM_CANDIDATE=1
IFINDEX=2
INTERFACE=eth0
INTERFACE_NAME=eth0
SUBSYSTEM=net
SYSTEMD_ALIAS=/sys/subsystem/net/devices/eth0
TAGS=:systemd:
USEC_INITIALIZED=824509

--- Additional comment from dcbw@redhat.com on 2012-10-16 12:15:03 EDT ---

Two problems here:

1) Anaconda printing "None" because libnm-glib returned NULL for the description; returning NULL is legal here because we can't get any description

2) There is no identifying information for the interfaces in udev; that's because there are no udev rules that add the ID_MODEL_ENC, ID_VENDOR_ENC, ID_MODEL_FROM_DATABASE, or ID_VENDOR_FROM_DATABASE udev database keys.  If we add some udev rules that pull that information from somewhere and stuff it into those keys, then NM will pick them up.

--- Additional comment from dcbw@redhat.com on 2012-10-16 12:17:23 EDT ---

To verify things are working correctly:

$ udevadm info --query=property --path=/sys/class/net/eth0
DEVPATH=/devices/pci0000:00/0000:00:19.0/net/eth0
ID_BUS=pci
ID_MM_CANDIDATE=1
ID_MODEL_FROM_DATABASE=82567LM Gigabit Network Connection
ID_MODEL_ID=/sys/devices/pci0000:00/0000:00:19.0
ID_VENDOR_FROM_DATABASE=Intel Corporation
ID_VENDOR_ID=0x8086
IFINDEX=3
INTERFACE=eth0
INTERFACE_NAME=eth0
SUBSYSTEM=net
SYSTEMD_ALIAS=/sys/subsystem/net/devices/eth0
TAGS=:systemd:
USEC_INITIALIZED=5755360

If you see the ID_MODEL_FROM_DATABASE or ID_MODEL_ENC keys in this dump, then we expect NetworkManager to provide them via libnm-glib, which is what Anaconda uses to show them in the UI.  We would expect them to show in the UI as well.

--- Additional comment from updates@fedoraproject.org on 2012-10-16 23:08:44 EDT ---

anaconda-18.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.17-1.fc18

--- Additional comment from updates@fedoraproject.org on 2012-10-17 13:30:23 EDT ---

Package anaconda-18.17-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.17-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16295/anaconda-18.17-1.fc18
then log in and leave karma (feedback).

--- Additional comment from updates@fedoraproject.org on 2012-10-17 22:37:43 EDT ---

anaconda-18.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.18-1.fc18

--- Additional comment from updates@fedoraproject.org on 2012-10-18 11:29:58 EDT ---

Package anaconda-18.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.18-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16402/anaconda-18.18-1.fc18
then log in and leave karma (feedback).

--- Additional comment from updates@fedoraproject.org on 2012-10-19 21:33:27 EDT ---

anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18
Comment 1 Mark Hamzy 2012-11-01 10:27:21 EDT
Cloning the original bug because more information needs to be added to the udev database for the Power PC ethernet cards.
Comment 2 Brent Baude 2012-11-07 10:56:09 EST
mark, I looked into this with the udev folks. Unfortunately because the devices in question  are not pci nor usb, the don't have device ids which would populate those fields.  We experimented with udev rules, but we cannot ship our rule with udev proper.  So we'd need to tuck it under a ppc64 specific package or make a new one just for the rules.  we will have to talk as a team on this one.
Comment 4 Karsten Hopp 2012-11-29 12:32:44 EST
Can you add the required udev rule to this bugzilla, please ?
Comment 6 Harald Hoyer 2013-01-24 10:24:43 EST
(In reply to comment #2)
> mark, I looked into this with the udev folks. Unfortunately because the
> devices in question  are not pci nor usb, the don't have device ids which
> would populate those fields.  We experimented with udev rules, but we cannot
> ship our rule with udev proper.  So we'd need to tuck it under a ppc64
> specific package or make a new one just for the rules.  we will have to talk
> as a team on this one.

So, create your ppc64 package and reassign this bug to it.
Comment 7 Fedora End Of Life 2013-04-03 15:08:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Lennart Poettering 2015-01-04 21:44:53 EST
Since this is arch specific for such an exotic arch such a udev rule set to add a pretty name really should be in powerpc-utils, not in systemd itself. Nothing to fix here in systemd, hence reassigning.
Comment 9 Fedora End Of Life 2015-01-09 12:27:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 09:32:30 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.